<?php

use App\Models\PaymentManagement\PaymentReference;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(){
        Schema::create((new PaymentReference)->getTable(), function (Blueprint $table) {
          //  $table->id();
            $table->string("reference")->primary();
            $table->timestamp('created_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(){
        Schema::dropIfExists((new PaymentReference)->getTable());
    }
};
